Index: SPECS/distcc-2.18.3-rf.spec
===================================================================
--- SPECS.orig/distcc-2.18.3-rf.spec
+++ SPECS/distcc-2.18.3-rf.spec
@@ -15,12 +15,10 @@
 
 %define desktop_vendor rpmforge
 
-%define gccversion %(rpm -q gcc --qf '%{RPMTAG_VERSION}' | tail -1)
-
 Summary: Distributed C/C++ compilation client program
 Name: distcc
 Version: 2.18.3
-Release: 2.rf
+Release: 2.sk2
 License: GPL
 Group: Development/Tools
 URL: http://distcc.samba.org/
@@ -32,7 +30,7 @@ Source: http://samba.org/ftp/distcc/dist
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
 %{!?_without_gtk2:BuildRequires: gtk2-devel >= 2.0, libgnome-devel, libgnomeui-devel}
-Requires: gcc, gcc-c++
+Requires: gcc, gcc-c++, gcc-gfortran
 %{?el4:Requires: gcc4}
 %{?fc3:Requires: compat-gcc, compat-gcc-c++, gcc4}
 %{?fc2:Requires: compat-gcc, compat-gcc-c++, gcc34}
@@ -80,6 +78,22 @@ Categories=GNOME;Application;Development
 StartupNotify=true
 EOF
 
+%{__cat} <<'EOF' >distcc.csh
+if ( -f %{_sysconfdir}/distcc/hosts ) then
+    if ( "$path" !~ *%{_libdir}/distcc/bin* ) then
+	set path = ( %{_libdir}/distcc/bin $path )
+    endif
+endif
+EOF
+
+%{__cat} <<'EOF' >distcc.sh
+if [ -f %{_sysconfdir}/distcc/hosts ] ; then
+    if ! echo "$PATH" | grep -qw %{_libdir}/distcc/bin ; then
+	PATH="%{_libdir}/distcc/bin:$PATH"
+    fi
+fi
+EOF
+
 %{__cat} <<EOF >distccd.sysconfig
 ### See distcc(1) manual page for more information on these options.
 ###
@@ -88,7 +102,7 @@ EOF
 #USER="distcc"
 
 ### Set this if don't want distccd to use gcc or g++ by accident.
-#DISTCCPATH="/usr/lib/distcc/bin"
+#DISTCCD_PATH="%{_libdir}/distcc/bin"
 EOF
 
 %{__cat} <<'EOF' >distccd.sysv
@@ -123,6 +137,7 @@ DISTCCPATH="$PATH"
 
 ### Read configuration
 [ -r "$SYSCONFIG" ] && source "$SYSCONFIG"
+export DISTCCD_PATH
 
 RETVAL=0
 prog="distccd"
@@ -130,7 +145,7 @@ desc="Distributed Compiler daemon"
 
 start() {
 	echo -n $"Starting $desc ($prog): "
-	PATH="$DISTCCPATH" daemon --user "$USER" $prog --daemon --log-file="%{_localstatedir}/log/distccd.log" $OPTIONS
+	daemon --user "$USER" $prog --daemon --log-file="%{_localstatedir}/log/distccd.log" $OPTIONS
 	RETVAL=$?
 	echo
 	[ $RETVAL -eq 0 ] && touch %{_localstatedir}/lock/subsys/$prog
@@ -215,15 +230,17 @@ EOF
 %{__rm} -rf %{buildroot}
 %makeinstall \
 	pkgdocdir="./rpm/"
+%{__install} -D -m0755 distcc.csh %{buildroot}%{_sysconfdir}/profile.d/distcc.csh
+%{__install} -D -m0755 distcc.sh %{buildroot}%{_sysconfdir}/profile.d/distcc.sh
 %{__install} -D -m0644 distccd.xinetd %{buildroot}%{_sysconfdir}/xinetd.d/distccd
 %{__install} -D -m0755 distccd.sysv %{buildroot}%{_initrddir}/distccd
 %{__install} -D -m0644 distccd.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/distccd
 %{__install} -D -m0644 distccd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/distccd
 
 %{__install} -d -m0755 %{buildroot}%{_libdir}/distcc/bin/
-for compiler in cc c++ gcc g++; do
+for compiler in cc c++ gcc g++ f95 gfortran; do
 	%{__ln_s} -f %{_bindir}/distcc %{buildroot}%{_libdir}/distcc/bin/$compiler
-	%{__ln_s} -f %{_bindir}/distcc %{buildroot}%{_libdir}/distcc/bin/i386-redhat-linux-$compiler-%{gccversion}
+	%{__ln_s} -f %{_bindir}/distcc %{buildroot}%{_libdir}/distcc/bin/%{_target_platform}-$compiler
 done
 
 %{?fc3:%define has_gcc4 1}
@@ -309,6 +326,7 @@ fi
 %doc rpm-doc/*
 %doc %{_mandir}/man1/distcc.*
 %doc %{_mandir}/man1/distccmon-text.*
+%config(noreplace) %{_sysconfdir}/profile.d/%{name}.*sh
 %{_bindir}/distcc
 %{_bindir}/distccmon-text
 %{_libdir}/distcc/
